-----------------------------------------------------------------------------

if not AceLibrary:HasInstance("FuBarPlugin-2.0") then return end

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentFu")

L:RegisterTranslations("enUS", function() return {
	["Assessment"] = true,
    ["Fubar Options"] = true,
    ["Standard FuBar options"] = true,
	["Click to reset fight data."] = true,
	["Shift-Click to open configuration."] = "|cffeda55fShift-Click|r to open configuration. ",
} end)

-----------------------------------------------------------------------------

local AssessmentFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceEvent-2.0", "AceDB-2.0")
AssessmentFu:RegisterDB("AssessmentFuDB")
AssessmentFu.title = "Assessment"
AssessmentFu.name = "FuBar - Assessment"
AssessmentFu.hasIcon = "Interface\\Icons\\INV_Misc_StoneTablet_01.jpg"	-- Placeholder
AssessmentFu.blizzardTooltip = true
AssessmentFu.defaultPosition = 'LEFT'
AssessmentFu.hideWithoutStandby = true
AssessmentFu.independentProfile = true
AssessmentFu.hasNoColor = true
 
-----------------------------------------------------------------------------

AssessmentFu.OnMenuRequest = Assessment.Options

local args = AceLibrary("FuBarPlugin-2.0"):GetAceOptionsDataTable(AssessmentFu)
if not AssessmentFu.OnMenuRequest.args.fubar then
	AssessmentFu.OnMenuRequest.args.extrasSpacer =
	{
		type = 'header',
		order = 900,
	}
	
	AssessmentFu.OnMenuRequest.args.fubar = 
	{
		type = "group",
		name = L["Fubar Options"],
		desc = L["Standard FuBar options"],
		args = args,
		order = 1000,
	}
end

-----------------------------------------------------------------------------

function AssessmentFu:OnTextUpdate()
	self:SetText(L["Assessment"])
end

function AssessmentFu:OnTooltipUpdate()
	GameTooltip:AddLine(L["Assessment"])
	GameTooltip:AddLine(" ")
	GameTooltip:AddLine(L["Click to reset fight data."])

	if Assessment.Options.args.waterfall then
		GameTooltip:AddLine(L["Shift-Click to open configuration."], 0.2, 1, 0.2)
	end
end

function AssessmentFu:OnClick()
	if Assessment.Options.args.waterfall and IsShiftKeyDown() then
		GameTooltip:Hide()
		Assessment.Options.args.waterfall.func()
		return
	end

	Assessment:ResetFightData()

	self:UpdateTooltip()
end

-----------------------------------------------------------------------------
